function [ y ] = pol1(p, x )
%
%     y = p(1) x^n + p(2) *x^(n-1) + ... + p(n) *x + p(n+1)
%
nc = length(p);
n  = nc-1;

y = p(nc);
for i=n:-1:1
    y = y + p(i).*x.^(n-i+1);
end

% costo computazionale, complessita' di calcolo
%
%   somme =  n
%   prodotti = n
% elevamenti a potenza = n =  1 + 2 +3 +...+(n-1)= n*(n-1)/2
% totale prodotti   n*(n+1)/2 


end

